﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Obstacle : MonoBehaviour
{
    private void Start()
    {
        GameEvents.instance.onGameLostEvent += TurnOnGravity;
    }

    private void OnTriggerEnter(Collider other)
    {
        if (other.gameObject.tag.Equals("Cannonball"))
        {
            if (other.gameObject.GetComponent<Cannonball>().hasHitObstacle == false)
                other.gameObject.GetComponent<Movable>().UnoReverseCard();
            other.gameObject.GetComponent<Cannonball>().HitObstacle();
        }
    }

    private void TurnOnGravity()
    {
        GetComponentInChildren<Collider>().isTrigger = false;
    }

    private void OnDestroy()
    {
        GameEvents.instance.onGameLostEvent -= TurnOnGravity;
    }
}
